Systeemvereisten

Enkele hints over de minimum vereisten voor het gebruiken van kiwitrees

Systeemvereisten

Om kiwitrees te installeren en te gebruiken zijn deze systeemvereisten nodig:

Een webserver

  • Apache en IIS zijn de meest voorkomende types. Er zijn geen eisen gesteld aan een specifiek type of versie om te gebruiken.
  • Ongeveer 65 MB schijfruimte voor het programma, plus alles wat nodig is voor uw multi-mediabestanden, GEDCOM-bestanden en de database.

PHP

  • PHP 5.6 of hoger. Let op,veel webhosts bieden zowel PHP5 en PHP7 aan, meestal met PHP5.6 als standaard. Als dit het geval is, zult u in staat zijn om te schakelen tussen de twee met behulp van een bedieningspaneel of een configuratiebestand. Raadpleeg de ondersteunende documentatie van uw webhost voor meer informatie.  Voor de beste prestaties raden we PHP 7+ aan.
    • PHP moet worden geconfigureerd met de PHP/PDO library voor MySQL. Dit is een serverconfiguratie-optie. Het is standaard ingeschakeld op de meeste hosts. Zie http://php.net/pdo
    • PHP moet worden geconfigureerd om voldoende servermiddelen (geheugen en uitvoering tijd) voor de grootte van uw systeem mogelijk te maken. Typische eisen zijn:
      • Kleine systemen (500 personen): 16-32MB, 10-20 seconden
      • Medium-systemen (5000 personen): 32-64MB, 20-40 seconden
      • Grote systemen (50.000 personen): 64-128MB, 40-80 seconden

MySQL

  • MySQL 5.0.13 of hoger. Let op dat kiwitrees een enkele database met andere applicaties kan delen door te kiezen voor een uniek tabelvoorvoegsel tijdens de configuratie. Als het aantal databases onbeperkt is, kunt u een database opzetten uitsluitend voor gebruik door kiwitrees en een aparte gebruikersnaam en wachtwoord voor alleen uw genealogie.

Een compatibele internet browser.

  • Kiwitrees ondersteunt het gebruik van de meest recente versies van de open-source browsers, zoals Firefox, Chrome en Safari. We zullen ons best doen om anderen, zoals Opera en Internet Explorer te ondersteunen, maar niet hun eerdere versies.
  • Kiwitrees ondersteunt versies van Internet Explorer ouder dan IE8 niet en zelfs dat heeft minimale ontwikkelings ondersteuning. We raden iedereen het gebruik van deze verouderde browsers af en om deze zo snel mogelijk te upgraden. We zijn er ook van bewust dat IE en Opera browsers in het algemeen slechte RTL-taalondersteuning (rechts naar links) hebben, dus niet aan te raden voor sites die RTL-talen nodig hebben.
  • Om sites die zowel links naar rechts en van rechts naar links tekst (bijvoorbeeld Engels gegevens over Hebreeuwse pagina’s) bevat te bekijken, heeft u een browser nodig die ondersteuning geeft aan de HTML5 dir = “auto” attribuut. Op dit moment hebben alleen browsers gebaseerd op de WebKit-engine (Chrome en Safari) dit. De Gecko(Firefox) en Presto(Opera) engines beloven om dit snel aan te bieden.
  • Kiwitrees maakt uitgebreid gebruik van javascript in zijn kerncode. Verzeker u ervan dat uw browser browser javascript ingeschakeld heeft of als u een javascript advertentie blocker gebruikt dat uw kiwitrees website daarvan is uitgesloten. Als u hulp nodig heeft om javascript in te schakelen in uw browser kan deze website helpen: http://www.enable-javascript.com (Let op: Javascript is NIET hetzelfde als”Java”. Kiwitrees maakt geen gebruik van Java.)


Have your say!

Have your say!

Deze website gebruikt Akismet om spam te verminderen. Bekijk hoe je reactie-gegevens worden verwerkt.